Index: LMDZ5/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/phys_output_mod.F90	(revision 1561)
+++ LMDZ5/trunk/libf/phylmd/phys_output_mod.F90	(revision 1562)
@@ -1793,5 +1798,5 @@
                zstophym, zoutm(iff))
        endif
-       else
+    else
        if ( flag_var(iff)<=lev_files(iff) ) then
           call histdef (nid_files(iff), nomvar, titrevar, unitvar, &
@@ -1800,69 +1805,69 @@
                type_ecri(iff), zstophym,zoutm(iff))
        endif
-       endif
-      end subroutine histdef3d
-
-      SUBROUTINE conf_physoutputs(nam_var,flag_var)
+    endif
+  end subroutine histdef3d
+
+  SUBROUTINE conf_physoutputs(nam_var,flag_var)
 !!! Lecture des noms et niveau de sortie des variables dans output.def
-!   en utilisant les routines getin de IOIPSL  
-       use ioipsl
-
-       IMPLICIT NONE
-
-       include 'iniprint.h'
-
-       character(len=20)                :: nam_var
-       integer, dimension(nfiles)      :: flag_var
-
-        IF(prt_level>10) WRITE(lunout,*)'Avant getin: nam_var flag_var ',nam_var,flag_var(:)
-        call getin('flag_'//nam_var,flag_var)
-        call getin('name_'//nam_var,nam_var)
-        IF(prt_level>10) WRITE(lunout,*)'Apres getin: nam_var flag_var ',nam_var,flag_var(:)
-
-      END SUBROUTINE conf_physoutputs
-
-      SUBROUTINE convers_timesteps(str,dtime,timestep)
-
-        use ioipsl
-        USE phys_cal_mod
-
-        IMPLICIT NONE
-
-        character(len=20)   :: str
-        character(len=10)   :: type
-        integer             :: ipos,il
-        real                :: ttt,xxx,timestep,dayseconde,dtime
-        parameter (dayseconde=86400.)
-        include "temps.h"
-        include "comconst.h"
-
-        ipos=scan(str,'0123456789.',.true.)
-!  
-        il=len_trim(str)
-        print*,ipos,il
-        read(str(1:ipos),*) ttt
-        print*,ttt
-        type=str(ipos+1:il)
-
-
-        if ( il == ipos ) then
-        type='day'
-        endif
-
-        if ( type == 'day'.or.type == 'days'.or.type == 'jours'.or.type == 'jour' ) timestep = ttt * dayseconde
-        if ( type == 'mounths'.or.type == 'mth'.or.type == 'mois' ) then
-           print*,'annee_ref,day_ref mon_len',annee_ref,day_ref,ioget_mon_len(annee_ref,day_ref)
-           timestep = ttt * dayseconde * mth_len
-        endif
-        if ( type == 'hours'.or.type == 'hr'.or.type == 'heurs') timestep = ttt * dayseconde / 24.
-        if ( type == 'mn'.or.type == 'minutes'  ) timestep = ttt * 60.
-        if ( type == 's'.or.type == 'sec'.or.type == 'secondes'   ) timestep = ttt
-        if ( type == 'TS' ) timestep = ttt * dtime
-
-        print*,'type =      ',type
-        print*,'nb j/h/m =  ',ttt
-        print*,'timestep(s)=',timestep
-
-        END SUBROUTINE convers_timesteps
+    !   en utilisant les routines getin de IOIPSL  
+    use ioipsl
+
+    IMPLICIT NONE
+
+    include 'iniprint.h'
+
+    character(len=20)                :: nam_var
+    integer, dimension(nfiles)      :: flag_var
+
+    IF(prt_level>10) WRITE(lunout,*)'Avant getin: nam_var flag_var ',nam_var,flag_var(:)
+    call getin('flag_'//nam_var,flag_var)
+    call getin('name_'//nam_var,nam_var)
+    IF(prt_level>10) WRITE(lunout,*)'Apres getin: nam_var flag_var ',nam_var,flag_var(:)
+
+  END SUBROUTINE conf_physoutputs
+
+  SUBROUTINE convers_timesteps(str,dtime,timestep)
+
+    use ioipsl
+    USE phys_cal_mod
+
+    IMPLICIT NONE
+
+    character(len=20)   :: str
+    character(len=10)   :: type
+    integer             :: ipos,il
+    real                :: ttt,xxx,timestep,dayseconde,dtime
+    parameter (dayseconde=86400.)
+    include "temps.h"
+    include "comconst.h"
+
+    ipos=scan(str,'0123456789.',.true.)
+    !  
+    il=len_trim(str)
+    print*,ipos,il
+    read(str(1:ipos),*) ttt
+    print*,ttt
+    type=str(ipos+1:il)
+
+
+    if ( il == ipos ) then
+       type='day'
+    endif
+
+    if ( type == 'day'.or.type == 'days'.or.type == 'jours'.or.type == 'jour' ) timestep = ttt * dayseconde
+    if ( type == 'mounths'.or.type == 'mth'.or.type == 'mois' ) then
+       print*,'annee_ref,day_ref mon_len',annee_ref,day_ref,ioget_mon_len(annee_ref,day_ref)
+       timestep = ttt * dayseconde * mth_len
+    endif
+    if ( type == 'hours'.or.type == 'hr'.or.type == 'heurs') timestep = ttt * dayseconde / 24.
+    if ( type == 'mn'.or.type == 'minutes'  ) timestep = ttt * 60.
+    if ( type == 's'.or.type == 'sec'.or.type == 'secondes'   ) timestep = ttt
+    if ( type == 'TS' ) timestep = ttt * dtime
+
+    print*,'type =      ',type
+    print*,'nb j/h/m =  ',ttt
+    print*,'timestep(s)=',timestep
+
+  END SUBROUTINE convers_timesteps
 
 END MODULE phys_output_mod
Index: LMDZ5/trunk/libf/phylmd/phys_output_write.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/phys_output_write.h	(revision 1561)
+++ LMDZ5/trunk/libf/phylmd/phys_output_write.h	(revision 1562)
@@ -614,19 +614,20 @@
         ENDIF
 
-        IF (o_plcl%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
-     $o_plcl%name,itau_w,plcl)
-        ENDIF
-
-        IF (o_plfc%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
-     $o_plfc%name,itau_w,plfc)
-        ENDIF
-
-        IF (o_wbeff%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
-     $o_wbeff%name,itau_w,wbeff)
-        ENDIF
-
+        if (iflag_con /= 30) then
+           if (o_plcl%flag(iff)<=lev_files(iff)) THEN
+              CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $             o_plcl%name,itau_w,plcl)
+           ENDIF
+
+           IF (o_plfc%flag(iff)<=lev_files(iff)) THEN
+              CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $             o_plfc%name,itau_w,plfc)
+           ENDIF
+
+           IF (o_wbeff%flag(iff)<=lev_files(iff)) THEN
+              CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $             o_wbeff%name,itau_w,wbeff)
+           ENDIF
+        end if
 
         IF (o_prw%flag(iff)<=lev_files(iff)) THEN
